package com.diagbot.client.hystrix;


import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.client.DiagbotmanService;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.UserAndProdutUDTO;

import lombok.extern.slf4j.Slf4j;
/**
 * 
 * @Description: 调用产品服务
 * @author wangfeng
 * @date 2018年9月26日 下午2:12:36
 */
@Component
@Slf4j
public class DiagbotmanServiceHystrix implements DiagbotmanService {
	
	@Override
	public RespDTO<List<UserAndProdutUDTO>> getInformationAvailableAll(){
		 log.error("【hystrix】调用{}异常","getInformationAvailableByUserId");
	        return null;
	}

}
